<?xml version="1.0" encoding="US-ASCII" ?>
    <!-- Field: Doc-Info; Name: Generator; Value: GoFiler Complete; Version: 5.23a -->
    <!-- Field: Doc-Info; Name: VendorURI; Value: https://www.novaworks.com -->
    <!-- Field: Doc-Info; Name: Status; Value: 0x00000000 -->
    <!-- Field: Doc-Info; Name: Misc; Value: 8KlZs7xRiXgen8uCandcSaaEacPtxJFzuZkhv2p0fenKzycrW90RqChtPImmkXwL -->
<schema xmlns="http://www.w3.org/2001/XMLSchema" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:dei="http://xbrl.sec.gov/dei/2024" xmlns:us-gaap="http://fasb.org/us-gaap/2024" xmlns:srt="http://fasb.org/srt/2024" xmlns:srt-types="http://fasb.org/srt-types/2024" xmlns:ecd="http://xbrl.sec.gov/ecd/2024" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2022-03-31" xmlns:duot="http://duostechnologies/20240630" elementFormDefault="qualified" targetNamespace="http://duostechnologies/20240630">
    <annotation>
      <appinfo>
        <link:roleType roleURI="http://duostechnologies/role/Cover" id="Cover">
          <link:definition>00000001 - Document - Cover</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/ConsolidatedBalanceSheets" id="ConsolidatedBalanceSheets">
          <link:definition>00000002 - Statement - CONSOLIDATED BALANCE SHEETS</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/ConsolidatedBalanceSheetsParenthetical" id="ConsolidatedBalanceSheetsParenthetical">
          <link:definition>00000003 - Statement - CONSOLIDATED BALANCE SHEETS (Parenthetical)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/ConsolidatedStatementsOfOperations" id="ConsolidatedStatementsOfOperations">
          <link:definition>00000004 - Statement - CONSOLIDATED STATEMENTS OF OPERATIONS (Unaudited)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/StatementsOfChangesInStockholdersEquity" id="StatementsOfChangesInStockholdersEquity">
          <link:definition>00000005 - Statement - STATEMENTS OF CHANGES IN STOCKHOLDERS' EQUITY (Unaudited)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/ConsolidatedStatementsOfCashFlows" id="ConsolidatedStatementsOfCashFlows">
          <link:definition>00000006 - Statement - CONSOLIDATED STATEMENTS OF CASH FLOWS (Unaudited)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/NatureOfOperationsAndSummaryOfSignificantAccountingPolicies" id="NatureOfOperationsAndSummaryOfSignificantAccountingPolicies">
          <link:definition>995512 - Disclosure - NATURE OF OPERATIONS AND SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/Liquidity" id="Liquidity">
          <link:definition>995513 - Disclosure - LIQUIDITY</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/IntangibleAsset" id="IntangibleAsset">
          <link:definition>995514 - Disclosure - INTANGIBLE ASSET</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/Debt" id="Debt">
          <link:definition>995515 - Disclosure - DEBT</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/CommitmentsAndContingencies" id="CommitmentsAndContingencies">
          <link:definition>995516 - Disclosure - COMMITMENTS AND CONTINGENCIES</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/StockholdersEquity" id="StockholdersEquity">
          <link:definition>995517 - Disclosure - STOCKHOLDERS&#8217; EQUITY</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/RevenueAndContractAccounting" id="RevenueAndContractAccounting">
          <link:definition>995518 - Disclosure - REVENUE AND CONTRACT ACCOUNTING</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/DefinedContributionPlan" id="DefinedContributionPlan">
          <link:definition>995519 - Disclosure - DEFINED CONTRIBUTION PLAN</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/RelatedPartyTransactions" id="RelatedPartyTransactions">
          <link:definition>995520 - Disclosure - RELATED PARTY TRANSACTIONS</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/SaleOfAssets" id="SaleOfAssets">
          <link:definition>995521 - Disclosure - SALE OF ASSETS</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/SubsequentEvents" id="SubsequentEvents">
          <link:definition>995522 - Disclosure - SUBSEQUENT EVENTS</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/NatureOfOperationsAndSummaryOfSignificantAccountingPoliciesPolicies" id="NatureOfOperationsAndSummaryOfSignificantAccountingPoliciesPolicies">
          <link:definition>995523 - Disclosure - NATURE OF OPERATIONS AND SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Policies)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/IntangibleAssetTables" id="IntangibleAssetTables">
          <link:definition>995524 - Disclosure - INTANGIBLE ASSET (Tables)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/DebtTables" id="DebtTables">
          <link:definition>995525 - Disclosure - DEBT (Tables)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/CommitmentsAndContingenciesTables" id="CommitmentsAndContingenciesTables">
          <link:definition>995526 - Disclosure - COMMITMENTS AND CONTINGENCIES (Tables)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/StockholdersEquityTables" id="StockholdersEquityTables">
          <link:definition>995527 - Disclosure - STOCKHOLDERS&#8217; EQUITY (Tables)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/RevenueAndContractAccountingTables" id="RevenueAndContractAccountingTables">
          <link:definition>995528 - Disclosure - REVENUE AND CONTRACT ACCOUNTING (Tables)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/SaleOfAssetsTables" id="SaleOfAssetsTables">
          <link:definition>995529 - Disclosure - SALE OF ASSETS (Tables)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/NatureOfOperationsAndSummaryOfSignificantAccountingPoliciesDetailsNarrative" id="NatureOfOperationsAndSummaryOfSignificantAccountingPoliciesDetailsNarrative">
          <link:definition>995530 - Disclosure - NATURE OF OPERATIONS AND SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Details Narrative)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/LiquidityDetailsNarrative" id="LiquidityDetailsNarrative">
          <link:definition>995531 - Disclosure - LIQUIDITY (Details Narrative)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/IntangibleAssetDetails" id="IntangibleAssetDetails">
          <link:definition>995532 - Disclosure - INTANGIBLE ASSET (Details)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/IntangibleAssetDetails-FutureAmortization" id="IntangibleAssetDetails-FutureAmortization">
          <link:definition>995533 - Disclosure - INTANGIBLE ASSET (Details - Future amortization)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/IntangibleAssetDetailsNarrative" id="IntangibleAssetDetailsNarrative">
          <link:definition>995534 - Disclosure - INTANGIBLE ASSET (Details Narrative)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/DebtDetails-NotesPayableFinancingAgreements" id="DebtDetails-NotesPayableFinancingAgreements">
          <link:definition>995535 - Disclosure - DEBT (Details - Notes payable financing agreements)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/DebtDetailsNarrative" id="DebtDetailsNarrative">
          <link:definition>995536 - Disclosure - DEBT (Details Narrative)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/CommitmentsAndContingenciesDetails-SupplementalInformationRelatedToLeases" id="CommitmentsAndContingenciesDetails-SupplementalInformationRelatedToLeases">
          <link:definition>995537 - Disclosure - COMMITMENTS AND CONTINGENCIES (Details - Supplemental information related to leases)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/CommitmentsAndContingenciesDetails-FutureMinimumLeasePayments" id="CommitmentsAndContingenciesDetails-FutureMinimumLeasePayments">
          <link:definition>995538 - Disclosure - COMMITMENTS AND CONTINGENCIES (Details - Future minimum lease payments)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/CommitmentsAndContingenciesDetailsNarrative" id="CommitmentsAndContingenciesDetailsNarrative">
          <link:definition>995539 - Disclosure - COMMITMENTS AND CONTINGENCIES (Details Narrative)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/StockholdersEquityDetails-Assumptions" id="StockholdersEquityDetails-Assumptions">
          <link:definition>995540 - Disclosure - STOCKHOLDERS' EQUITY (Details - Assumptions )</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/StockholdersEquityDetails-EmployeeStockPurchasePlan" id="StockholdersEquityDetails-EmployeeStockPurchasePlan">
          <link:definition>995541 - Disclosure - STOCKHOLDERS' EQUITY (Details - Employee stock purchase plan)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/StockholdersEquityDetails-NonPlanOptions" id="StockholdersEquityDetails-NonPlanOptions">
          <link:definition>995542 - Disclosure - STOCKHOLDERS' EQUITY (Details - Non plan options)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/StockholdersEquityDetails-Warrants" id="StockholdersEquityDetails-Warrants">
          <link:definition>995543 - Disclosure - STOCKHOLDERS' EQUITY (Details - Warrants)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/StockholdersEquityDetailsNarrative" id="StockholdersEquityDetailsNarrative">
          <link:definition>995544 - Disclosure - STOCKHOLDERS&#8217; EQUITY (Details Narrative)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/RevenueAndContractAccountingDetails-ContractAssets" id="RevenueAndContractAccountingDetails-ContractAssets">
          <link:definition>995545 - Disclosure - REVENUE AND CONTRACT ACCOUNTING (Details - Contract assets)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/RevenueAndContractAccountingDetails-ContractLiabilities" id="RevenueAndContractAccountingDetails-ContractLiabilities">
          <link:definition>995546 - Disclosure - REVENUE AND CONTRACT ACCOUNTING (Details - Contract liabilities)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/RevenueAndContractAccountingDetails-ContractLiabilitiesAgreement" id="RevenueAndContractAccountingDetails-ContractLiabilitiesAgreement">
          <link:definition>995547 - Disclosure - REVENUE AND CONTRACT ACCOUNTING (Details - Contract liabilities agreement)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/RevenueAndContractAccountingDetails-DisaggregatedRevenue" id="RevenueAndContractAccountingDetails-DisaggregatedRevenue">
          <link:definition>995548 - Disclosure - REVENUE AND CONTRACT ACCOUNTING (Details - Disaggregated revenue)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/RevenueAndContractAccountingDetailsNarrative" id="RevenueAndContractAccountingDetailsNarrative">
          <link:definition>995549 - Disclosure - REVENUE AND CONTRACT ACCOUNTING (Details Narrative)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/DefinedContributionPlanDetailsNarrative" id="DefinedContributionPlanDetailsNarrative">
          <link:definition>995550 - Disclosure - DEFINED CONTRIBUTION PLAN (Details Narrative)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/RelatedPartyTransactionsDetailsNarrative" id="RelatedPartyTransactionsDetailsNarrative">
          <link:definition>995551 - Disclosure - RELATED PARTY TRANSACTIONS (Details Narrative)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/SaleOfAssetsDetails" id="SaleOfAssetsDetails">
          <link:definition>995552 - Disclosure - SALE OF ASSETS (Details)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/SaleOfAssetsDetailsNarrative" id="SaleOfAssetsDetailsNarrative">
          <link:definition>995553 - Disclosure - SALE OF ASSETS (Details Narrative)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:roleType roleURI="http://duostechnologies/role/SubsequentEventsDetailsNarrative" id="SubsequentEventsDetailsNarrative">
          <link:definition>995554 - Disclosure - SUBSEQUENT EVENTS (Details Narrative)</link:definition>
          <link:usedOn>link:presentationLink</link:usedOn>
          <link:usedOn>link:calculationLink</link:usedOn>
          <link:usedOn>link:definitionLink</link:usedOn>
        </link:roleType>
        <link:linkbaseRef xlink:type="simple" xlink:href="duot-20240630_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:title="Presentation Links" />
        <link:linkbaseRef xlink:type="simple" xlink:href="duot-20240630_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:title="Label Links" />
        <link:linkbaseRef xlink:type="simple" xlink:href="duot-20240630_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:title="Calculation Links" />
        <link:linkbaseRef xlink:type="simple" xlink:href="duot-20240630_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:title="Definition Links" />
      </appinfo>
    </annotation>
    <import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" />
    <import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" />
    <import namespace="http://xbrl.sec.gov/dei/2024" schemaLocation="https://xbrl.sec.gov/dei/2024/dei-2024.xsd" />
    <import namespace="http://fasb.org/us-gaap/2024" schemaLocation="https://xbrl.fasb.org/us-gaap/2024/elts/us-gaap-2024.xsd" />
    <import namespace="http://fasb.org/us-types/2024" schemaLocation="https://xbrl.fasb.org/us-gaap/2024/elts/us-types-2024.xsd" />
    <import namespace="http://www.xbrl.org/dtr/type/2022-03-31" schemaLocation="https://www.xbrl.org/dtr/type/2022-03-31/types.xsd" />
    <import namespace="http://xbrl.sec.gov/ecd/2024" schemaLocation="https://xbrl.sec.gov/ecd/2024/ecd-2024.xsd" />
    <import namespace="http://xbrl.sec.gov/country/2024" schemaLocation="https://xbrl.sec.gov/country/2024/country-2024.xsd" />
    <import namespace="http://fasb.org/srt/2024" schemaLocation="https://xbrl.fasb.org/srt/2024/elts/srt-2024.xsd" />
    <import namespace="http://fasb.org/srt-types/2024" schemaLocation="https://xbrl.fasb.org/srt/2024/elts/srt-types-2024.xsd" />
    <element id="duot_ConvertibleSeriesAPreferredStockMember" name="ConvertibleSeriesAPreferredStockMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ConvertibleSeriesBPreferredStockMember" name="ConvertibleSeriesBPreferredStockMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ConvertibleSeriesCPreferredStockMember" name="ConvertibleSeriesCPreferredStockMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ConvertibleSeriesDPreferredStockMember" name="ConvertibleSeriesDPreferredStockMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ConvertibleSeriesEPreferredStockMember" name="ConvertibleSeriesEPreferredStockMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ConvertibleSeriesFPreferredStockMember" name="ConvertibleSeriesFPreferredStockMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_PreferredStockBMember" name="PreferredStockBMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_PreferredStockCMember" name="PreferredStockCMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_PreferredStockDMember" name="PreferredStockDMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_PreferredStockEMember" name="PreferredStockEMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_Customer1Member" name="Customer1Member" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_Customer2Member" name="Customer2Member" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_Customer3Member" name="Customer3Member" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ThreeCustomerMember" name="ThreeCustomerMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_SeriesDConvertiblePreferredStockMember" name="SeriesDConvertiblePreferredStockMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_SeriesEConvertiblePreferredStockMember" name="SeriesEConvertiblePreferredStockMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ATMSalesAgreementMember" name="ATMSalesAgreementMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_TwoInstitutionalInvestorsMember" name="TwoInstitutionalInvestorsMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_SecuredPromissoryNotesMember" name="SecuredPromissoryNotesMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ThirdPartyInsuranceNoteOneMember" name="ThirdPartyInsuranceNoteOneMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ThirdPartyInsuranceNoteTwoMember" name="ThirdPartyInsuranceNoteTwoMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ThirdPartyInsuranceNoteThreeMember" name="ThirdPartyInsuranceNoteThreeMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_RenewedAgreementMember" name="RenewedAgreementMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_PurchaseAgreementMember" name="PurchaseAgreementMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_FourDirectorsMember" name="FourDirectorsMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_OneShareholdersMember" name="OneShareholdersMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_TwoShareholdersMember" name="TwoShareholdersMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ShareholdersMember" name="ShareholdersMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_SalesAgreementMember" name="SalesAgreementMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_AtTheMarketMember" name="AtTheMarketMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ThreeDirectorsMember" name="ThreeDirectorsMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_EmployeeStockPurchasePlanMember" name="EmployeeStockPurchasePlanMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_EmployeesAndDirectorsMember" name="EmployeesAndDirectorsMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_Plan2021Member" name="Plan2021Member" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_Plan2016Member" name="Plan2016Member" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_NonPlanMember" name="NonPlanMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_RailMember" name="RailMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_CommercialMember" name="CommercialMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_GovernmentsMember" name="GovernmentsMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ArtificialIntelligenceMember" name="ArtificialIntelligenceMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_TurnkeyProjectsMember" name="TurnkeyProjectsMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_MaintenanceAndSupportMember" name="MaintenanceAndSupportMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_AlgorithmsMember" name="AlgorithmsMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_GoodsTransferredOverTimeMember" name="GoodsTransferredOverTimeMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ServicesTransferredOverTimeMember" name="ServicesTransferredOverTimeMember" nillable="true" xbrli:periodType="duration" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" />
    <element id="duot_NoteReceivableNet" name="NoteReceivableNet" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_IntangibleAssetNetOther" name="IntangibleAssetNetOther" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_CapitalizedSoftwareDevelopmentCostsForSoftwareSoldToCustomer" name="CapitalizedSoftwareDevelopmentCostsForSoftwareSoldToCustomer" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_NotesPayableFinancingAgreements" name="NotesPayableFinancingAgreements" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_TotalStockAndPaidInCapitalAndRetainedEarningsDeficit" name="TotalStockAndPaidInCapitalAndRetainedEarningsDeficit" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_PreferredStockSharesAvailableToBeDesignated" name="PreferredStockSharesAvailableToBeDesignated" nillable="true" xbrli:periodType="instant" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" />
    <element id="duot_SeriesDPreferredStockIssued" name="SeriesDPreferredStockIssued" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_SeriesDPreferredStockIssuedShares" name="SeriesDPreferredStockIssuedShares" nillable="true" xbrli:periodType="duration" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" />
    <element id="duot_SeriesEPreferredStockIssued" name="SeriesEPreferredStockIssued" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_SeriesEPreferredStockIssuedShares" name="SeriesEPreferredStockIssuedShares" nillable="true" xbrli:periodType="duration" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" />
    <element id="duot_StockIssuanceCost" name="StockIssuanceCost" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_StockIssuedUnderEmployeeStockPurchasePlanForCashAndCompensation" name="StockIssuedUnderEmployeeStockPurchasePlanForCashAndCompensation" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_StockIssuedUnderEmployeeStockPurchasePlanForCashAndCompensationShares" name="StockIssuedUnderEmployeeStockPurchasePlanForCashAndCompensationShares" nillable="true" xbrli:periodType="duration" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" />
    <element id="duot_SeriesDPreferredStockConvertedToCommonStock" name="SeriesDPreferredStockConvertedToCommonStock" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_SeriesDPreferredStockConvertedToCommonStockShares" name="SeriesDPreferredStockConvertedToCommonStockShares" nillable="true" xbrli:periodType="duration" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" />
    <element id="duot_StockOptionsCompensationValue" name="StockOptionsCompensationValue" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_StockIssuedForServices" name="StockIssuedForServices" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_IncreaseDecreaseInNotesReceivable" name="IncreaseDecreaseInNotesReceivable" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_RepaymentsOnFinancingAgreements" name="RepaymentsOnFinancingAgreements" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_RepaymentsOfLongTermCapitalLeaseObligation" name="RepaymentsOfLongTermCapitalLeaseObligation" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_IssuanceCosts" name="IssuanceCosts" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_TransferOfInventoryToFixedAssets" name="TransferOfInventoryToFixedAssets" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_IntangibleAssetAcquiredWithContractLiability" name="IntangibleAssetAcquiredWithContractLiability" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_DisclosureSaleOfAssetsAbstract" name="DisclosureSaleOfAssetsAbstract" abstract="true" nillable="true" xbrli:periodType="duration" type="xbrli:stringItemType" substitutionGroup="xbrli:item" />
    <element id="duot_SaleOfAssetsTextBlock" name="SaleOfAssetsTextBlock" nillable="true" xbrli:periodType="duration" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" />
    <element id="duot_NatureOfOperationsPolicyTextBlock" name="NatureOfOperationsPolicyTextBlock" nillable="true" xbrli:periodType="duration" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" />
    <element id="duot_MultiplePerformanceObligationsAndAllocationOfTransactionPricePolicyTextBlock" name="MultiplePerformanceObligationsAndAllocationOfTransactionPricePolicyTextBlock" nillable="true" xbrli:periodType="duration" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ScheduleOfSupplementalInformationRelatedLeasesTableTextBlock" name="ScheduleOfSupplementalInformationRelatedLeasesTableTextBlock" nillable="true" xbrli:periodType="duration" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ScheduleOfCostsAndEstimatedEarningsInExcessOfBillingsOnUncompletedContractsTableTextBlock" name="ScheduleOfCostsAndEstimatedEarningsInExcessOfBillingsOnUncompletedContractsTableTextBlock" nillable="true" xbrli:periodType="duration" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ScheduleOfBillingsInExcessOfCostsAndEstimatedEarningsOnUncompletedContractsTableTextBlock" name="ScheduleOfBillingsInExcessOfCostsAndEstimatedEarningsOnUncompletedContractsTableTextBlock" nillable="true" xbrli:periodType="duration" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ScheduleOfContractLiabilitiesTableTextBlock" name="ScheduleOfContractLiabilitiesTableTextBlock" nillable="true" xbrli:periodType="duration" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ScheduleOfNoteReceivableTableTextBlock" name="ScheduleOfNoteReceivableTableTextBlock" nillable="true" xbrli:periodType="duration" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsOutstandingNumbers" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsOutstandingNumbers" nillable="true" xbrli:periodType="instant" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ConversionOfStockSharesConverted" name="ConversionOfStockSharesConverted" nillable="true" xbrli:periodType="duration" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" />
    <element id="duot_WorkingCapitalSurplus" name="WorkingCapitalSurplus" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_TermOfContract" name="TermOfContract" nillable="true" xbrli:periodType="duration" type="xbrli:durationItemType" substitutionGroup="xbrli:item" />
    <element id="duot_RecognizedDeferredRevenue" name="RecognizedDeferredRevenue" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_TermOfDeferredRevenue" name="TermOfDeferredRevenue" nillable="true" xbrli:periodType="duration" type="xbrli:durationItemType" substitutionGroup="xbrli:item" />
    <element id="duot_PurchaseOfInsurancePolicy" name="PurchaseOfInsurancePolicy" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_DownPaymentPaid" name="DownPaymentPaid" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_OtherInformationAbstract" name="OtherInformationAbstract" abstract="true" nillable="true" xbrli:periodType="duration" type="xbrli:stringItemType" substitutionGroup="xbrli:item" />
    <element id="duot_LesseeOperatingLeaseLiabilityPaymentsDueAfterYearFour" name="LesseeOperatingLeaseLiabilityPaymentsDueAfterYearFour" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_AreaOfLease" name="AreaOfLease" nillable="true" xbrli:periodType="duration" type="xbrli:decimalItemType" substitutionGroup="xbrli:item" />
    <element id="duot_RentableSpace" name="RentableSpace" nillable="true" xbrli:periodType="duration" type="xbrli:decimalItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ShareBasedCompensationArrangementByShareBasedPaymentAwardFairValueAssumptionsSharePrice" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardFairValueAssumptionsSharePrice" nillable="true" xbrli:periodType="duration" type="dtr-types:perShareItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ShareBasedCompensationArrangementByShareBasedPaymentsAwardFairValueAssumptionsExercisePrice" name="ShareBasedCompensationArrangementByShareBasedPaymentsAwardFairValueAssumptionsExercisePrice" nillable="true" xbrli:periodType="duration" type="dtr-types:perShareItemType" substitutionGroup="xbrli:item" />
    <element id="duot_CashFromEmployeeWithholdingsUsedToPurchaseEsppShares" name="CashFromEmployeeWithholdingsUsedToPurchaseEsppShares" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_TotalChargesRelatedToEmployeeStockPurchasePlan" name="TotalChargesRelatedToEmployeeStockPurchasePlan" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_SharebasedCompensationArrangementBySharebasedPaymentAwardOptionsGrantedWeightedAverageRemainingContractualTerm2" name="SharebasedCompensationArrangementBySharebasedPaymentAwardOptionsGrantedWeightedAverageRemainingContractualTerm2" nillable="true" xbrli:periodType="duration" type="xbrli:durationItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ShareBasedCompensationArrangementByShareBasedPaymentWarrantOutstandingWeightedAverageExercisePrice" name="ShareBasedCompensationArrangementByShareBasedPaymentWarrantOutstandingWeightedAverageExercisePrice" nillable="true" xbrli:periodType="instant" type="dtr-types:perShareItemType" substitutionGroup="xbrli:item" />
    <element id="duot_WarrantsExpiredForfeitedCancelledOrExercised" name="WarrantsExpiredForfeitedCancelledOrExercised" nillable="true" xbrli:periodType="duration" type="dtr-types:perShareItemType" substitutionGroup="xbrli:item" />
    <element id="duot_WarrantsExchangedForCommonStockWeightedAverageExercisePrice" name="WarrantsExchangedForCommonStockWeightedAverageExercisePrice" nillable="true" xbrli:periodType="duration" type="dtr-types:perShareItemType" substitutionGroup="xbrli:item" />
    <element id="duot_SeriesCPreferredConvertedToCommonStockShares" name="SeriesCPreferredConvertedToCommonStockShares" nillable="true" xbrli:periodType="duration" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" />
    <element id="duot_PreferredConvertiblePreferredStockShares" name="PreferredConvertiblePreferredStockShares" nillable="true" xbrli:periodType="duration" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" />
    <element id="duot_NumberOfSharesExchanged" name="NumberOfSharesExchanged" nillable="true" xbrli:periodType="instant" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" />
    <element id="duot_NumberOfSharesCancelled" name="NumberOfSharesCancelled" nillable="true" xbrli:periodType="instant" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" />
    <element id="duot_PrreferredConvertiblePreferredStockShares" name="PrreferredConvertiblePreferredStockShares" nillable="true" xbrli:periodType="duration" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" />
    <element id="duot_StockExchangeShares" name="StockExchangeShares" nillable="true" xbrli:periodType="instant" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" />
    <element id="duot_PurchasePricePerShare" name="PurchasePricePerShare" nillable="true" xbrli:periodType="instant" type="dtr-types:perShareItemType" substitutionGroup="xbrli:item" />
    <element id="duot_AllocatedShareBasedCompensationExpenses" name="AllocatedShareBasedCompensationExpenses" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_FairMarketValuePercentage" name="FairMarketValuePercentage" nillable="true" xbrli:periodType="duration" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" />
    <element id="duot_EmployeeServiceShareBasedCompensationNonvestedAwardsTotalCompensationCostNotYetRecognizedPeriod2" name="EmployeeServiceShareBasedCompensationNonvestedAwardsTotalCompensationCostNotYetRecognizedPeriod2" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionExercisableNumber" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionExercisableNumber" nillable="true" xbrli:periodType="instant" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" />
    <element id="duot_CumulativeRevenueRecognized" name="CumulativeRevenueRecognized" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_BillingsOrCashReceived" name="BillingsOrCashReceived" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_BillingsAndorCashReceiptsOnUncompletedContracts" name="BillingsAndorCashReceiptsOnUncompletedContracts" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_CumulativeRevenuesRecognized" name="CumulativeRevenuesRecognized" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ContractLiabilitiesTechnologiesSystems" name="ContractLiabilitiesTechnologiesSystems" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ContractLiabilitiesServicesAndConsulting" name="ContractLiabilitiesServicesAndConsulting" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ContractLliabilitiesDueInRemainderOfFiscalYear" name="ContractLliabilitiesDueInRemainderOfFiscalYear" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ContractLliabilitiesNextTwelveMonths" name="ContractLliabilitiesNextTwelveMonths" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ContractLliabilitiesDueInTwoYears" name="ContractLliabilitiesDueInTwoYears" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ContractLliabilitiesDueInThreeYears" name="ContractLliabilitiesDueInThreeYears" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ContractLliabilitiesDueInFourYears" name="ContractLliabilitiesDueInFourYears" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ContractLliabilitiesDueInFiveYears" name="ContractLliabilitiesDueInFiveYears" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ContractLiabilitiesForTechnologySystems" name="ContractLiabilitiesForTechnologySystems" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ServicesAndConsultingRecognized" name="ServicesAndConsultingRecognized" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ContractWithCustomerLiabilityCurrent1" name="ContractWithCustomerLiabilityCurrent1" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ContractWithCustomerLiabilityNoncurrent1" name="ContractWithCustomerLiabilityNoncurrent1" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_RelatedPartyExpenses" name="RelatedPartyExpenses" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ConvertibleNoteReceivable" name="ConvertibleNoteReceivable" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_ConvertibleNoteReceivableNet" name="ConvertibleNoteReceivableNet" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
    <element id="duot_OriginalIssueDiscount" name="OriginalIssueDiscount" nillable="true" xbrli:periodType="duration" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" />
    <element id="duot_PurchaseOfCommonStockWarrants" name="PurchaseOfCommonStockWarrants" nillable="true" xbrli:periodType="duration" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" />
    <element id="duot_AggregatePromissoryNote" name="AggregatePromissoryNote" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" />
</schema>
